# yuck: ugly python stuff borrowed from rdiff-backup spec file.
%define PYTHON_NAME %((rpm -q --quiet python2 && echo python2) || echo python)
%define PYTHON_VERSION %(%{PYTHON_NAME} -c 'import sys; print sys.version[:3],')
%define NEXT_PYTHON_VERSION %(%{PYTHON_NAME} -c 'import sys; print "%d.%d" % (sys.version_info[0], sys.version_info[1]+1),')

Summary: OLPC contents manifest verification tools.
Name: olpc-contents
Version: 2.5
Release: 1
License: GPL
Group: System Environment/Base
URL: http://dev.laptop.org/git/users/cscott/olpc-contents
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{PYTHON_NAME} >= %{PYTHON_VERSION}, %{PYTHON_NAME} < %{NEXT_PYTHON_VERSION}
BuildPrereq: %{PYTHON_NAME}-devel >= 2.5, Pyrex, libicu-devel
# old name didn't have the hyphen, due to limitations of epm.
Provides: olpccontents = 2:%{version}-%{release}
Obsoletes: olpccontents < 2:2.3-1

%description
The olpccontents utilities allow creation and verification of
manifest files describing directory trees.  The olpc-update
utility uses this to verify a downloaded update before it is
installed.

%prep
%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/util
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/contents
mkdir -p $RPM_BUILD_ROOT/usr/sbin

%{__install} -m 644 bitfrost/__init__.py $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/
%{__install} -m 644 bitfrost/contents/__init__.py bitfrost/contents/utils.py $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/contents/
%{__install} -m 644 bitfrost/util/{__init__.py,json.py} $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/util/
%{__install} -m 755 bitfrost/util/{pysign.so,pyverify.so} $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/util/
%{__install} -m 755 olpc-contents-create olpc-contents-clean olpc-contents-hash $RPM_BUILD_ROOT/usr/sbin
%{__install} -m 755 fv $RPM_BUILD_ROOT/usr/sbin/olpc-contents-verify

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING

/usr/lib/python2.5/site-packages/bitfrost
/usr/sbin/olpc-contents-create
/usr/sbin/olpc-contents-clean
/usr/sbin/olpc-contents-hash
/usr/sbin/olpc-contents-verify

%changelog
* Thu Aug 28 2008 C. Scott Ananian <cscott@laptop.org>
- Changes to filename handling: no longer attempt to NFD/UTF-8 normalize
  during verification; instead check that filenames are NFC/UTF-8 during
  olpc-contents-create.  (Also check directory names, symlink contents,
  and user and group names.)
- Trac #5805: improve memory usage of olpc-contents-create.

* Tue Jul 29 2008 C. Scott Ananian <cscott@laptop.org>
- Rename package to olpc-contents (from olpccontents)

* Thu Jun 26 2008 C. Scott Ananian <cscott@laptop.org>
- Build as a proper RPM against F9 dependencies.
